import { TokenTracker, TokenUsage } from '../tokens.js';
/**
 * Enhanced utilities for token tracking and reporting
 */
export declare function logTokenUsage(tokenTracker: TokenTracker): void;
/**
 * Creates a child token tracker for a specific tool call
 */
export declare function createToolTokenTracker(toolName: string, parentTracker: TokenTracker): TokenTracker;
/**
 * Gets the total token usage for a token tracker and all its children
 */
export declare function getTotalTokenUsage(tokenTracker: TokenTracker): TokenUsage;
/**
 * Gets the total cost for a token tracker and all its children
 */
export declare function getTotalTokenCost(tokenTracker: TokenTracker): string;
//# sourceMappingURL=tokenTracking.d.ts.map