import { PageController } from './PageController.js';
export declare class BrowserAutomation {
    private static instance;
    private browserManager;
    private constructor();
    static getInstance(): BrowserAutomation;
    createSession(headless?: boolean): Promise<{
        sessionId: string;
        pageController: PageController;
        close: () => Promise<void>;
    }>;
    cleanup(): Promise<void>;
}
export declare const browserAutomation: BrowserAutomation;
//# sourceMappingURL=BrowserAutomation.d.ts.map