/**
 * Helper function to add a tool result to messages
 */
export function addToolResultToMessages(messages, toolUseId, toolResult, isError) {
    messages.push({
        role: 'tool_result',
        tool_use_id: toolUseId,
        content: typeof toolResult === 'string' ? toolResult : JSON.stringify(toolResult),
        is_error: isError,
    });
}
//# sourceMappingURL=messageUtils.js.map