import { Tool, ToolContext } from '../types.js';
export { Tool, ToolContext };
export interface ToolAgentResult {
    result: string;
    interactions: number;
}
export interface ToolCallResult {
    sequenceCompleted: boolean;
    completionResult?: string;
    toolResults: unknown[];
    respawn?: {
        context: string;
    };
}
export type ErrorResult = {
    errorMessage: string;
    errorType: string;
};
//# sourceMappingURL=types.d.ts.map