import { Page } from '@playwright/test';
import { SelectorOptions } from './types.js';
export declare class PageController {
    private page;
    constructor(page: Page);
    private getSelector;
    private validateSelector;
    waitForSelector(selector: string, options?: SelectorOptions): Promise<void>;
    click(selector: string, options?: SelectorOptions): Promise<void>;
    type(selector: string, text: string, options?: SelectorOptions): Promise<void>;
    getText(selector: string, options?: SelectorOptions): Promise<string>;
}
//# sourceMappingURL=PageController.d.ts.map