export declare const providerConfig: Record<string, {
    keyName: string;
    docsUrl: string;
} | undefined>;
/**
 * Generates a provider-specific API key error message
 * @param provider The LLM provider name
 * @returns Error message with provider-specific instructions
 */
export declare const getProviderApiKeyError: (provider: string) => string;
export declare const getAnthropicApiKeyError: () => string;
//# sourceMappingURL=errors.d.ts.map