import { Logger } from './logger.js';
export class MockLogger extends Logger {
    constructor() {
        super({ name: 'mock' });
    }
    debug(..._messages) { }
    verbose(..._messages) { }
    info(..._messages) { }
    warn(..._messages) { }
    error(..._messages) { }
}
// Export an instance of MockLogger for tests
export const mockLogger = new MockLogger();
//# sourceMappingURL=mockLogger.js.map